Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.auth.cluster.reissue_owner_key(id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.auth.cluster.reissueOwnerKey({
id: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Auth.Cluster.ReissueOwnerKeyAsync(id: "<id>");
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/authentication/admin/cluster/orgs/{id}/owner-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"teamId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', teamId: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/authentication/admin/cluster/orgs/{id}/owner-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"userId": "<string>",
"apiKey": {
"id": "<string>",
"userId": "<string>",
"userType": "user",
"orgId": "<string>",
"teamId": "<string>",
"scopes": [
"<string>"
],
"name": "<string>",
"key": "<string>",
"prefix": "<string>",
"start": "<string>",
"expiresAt": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Cluster Admin
Reemitir una clave de propietario de la organización (recuperación)
Acuñe una nueva clave vinculada al propietario para una organización cuya credencial se perdió. Solo para administradores del clúster (write:cluster). De forma predeterminada, se usa el propietario humano más antiguo de la organización y el equipo más antiguo; userId / teamId lo reemplazan.
POST
/
api
/
v1
/
authentication
/
admin
/
cluster
/
orgs
/
{id}
/
owner-key
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.auth.cluster.reissue_owner_key(id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.auth.cluster.reissueOwnerKey({
id: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Auth.Cluster.ReissueOwnerKeyAsync(id: "<id>");
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
¿Esta página le ayudó?
⌘I